package com.usky.fire.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.domain.AlarmDetector;
import com.usky.fire.service.vo.AlarmFireStatisticalVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 独立式无线探测器告警 Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-08-08
 */
public interface AlarmDetectorMapper extends CrudMapper<AlarmDetector> {

    List<AlarmFireStatisticalVo> selectAlarmDetectorStatistical(@Param("deviceList") List<String> deviceList,
                                                                @Param("systemTypeList") List<Integer> systemTypeList,
                                                                @Param("startDate") String startDate,
                                                                @Param("endDate") String endDate);
}
